Modify

#1005 closed defect (moreinfo)

Bitlbee using libpurple crash when recieve a file from ICQ

Reported by: anonymous Owned by: wilmer
Priority: normal Milestone:
Component: Purple Version: 3.0.6
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Arch 32&64

Description

Bitlbe-libpurple crashed when a other ICQ-Client will send a file to me.

Attachments (0)

Change History (4)

comment:1 Changed at 2012-12-23T23:41:40Z by wilmer

A backtrace might help in trackingthis down. Otherwise I'll just close this; the purple variant isn't really supported.

comment:2 Changed at 2012-12-31T18:10:41Z by anonymous

Hello! Thank you for the answer. How can I post a backtrace?

Greatings

comment:3 Changed at 2012-12-31T18:41:16Z by anonymous

GNU gdb (GDB) 7.5.1
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/bitlbee...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/sbin/bitlbee -v -n -F
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.3400.3-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
Warning: Unable to bind UNIX socket to /var/run/bitlbee/bitlbee.sock: No such file or directory
Warning: Warning: Couldn't write PID to `/var/run/bitlbee/bitlbee.pid'
Error: Can't find `/usr/lib/bitlbee/steam.a', not loading (/usr/lib/bitlbee/steam.a: invalid ELF header)

HTTP Reply (/ISteamWebUserPresenceOAuth/Logoff/v0001): 200 OK
  <?xml version="1.0" encoding="UTF-8"?>
  <!DOCTYPE response>
  <response>
  	<error>Not Logged On</error>
  </response>

HTTP Reply (/ISteamWebUserPresenceOAuth/Logon/v0001): 200 OK
  <?xml version="1.0" encoding="UTF-8"?>
  <!DOCTYPE response>
  <response>
  	<steamid>76561197969601300</steamid>
  	<error>OK</error>
  	<umqid>550927935</umqid>
  	<timestamp>857769947</timestamp>
  	<message>27</message>
  	<push>0</push>
  </response>

HTTP Reply (/ISteamWebUserPresenceOAuth/Logoff/v0001): 200 OK
  <?xml version="1.0" encoding="UTF-8"?>
  <!DOCTYPE response>
  <response>
  	<error>OK</error>
  </response>

Error: Fatal signal received: 11. That's probably a bug.
Error: Can't find `/usr/lib/bitlbee/steam.a', not loading (/usr/lib/bitlbee/steam.a: invalid ELF header)

Error: SIGTERM received, cleaning up process.

Program received signal SIGINT, Interrupt.
0x00007ffff652bf90 in __poll_nocancel
    () from /usr/lib/libc.so.6
(gdb) bt
#0  0x00007ffff652bf90 in __poll_nocancel () from /usr/lib/libc.so.6
#1  0x00007ffff7720b14 in ?? ()
   from /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7720f72 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3  0x00005555555625c8 in main ()
(gdb) quit
A debugging session is active.

	Inferior 1 [process 7813] will be killed.

Quit anyway? (y or n)
Last edited at 2013-01-06T14:29:21Z by wilmer (previous) (diff)

comment:4 Changed at 2013-01-06T14:33:25Z by wilmer

Resolution: moreinfo
Status: newclosed

I'm afraid there's very little I can do about that. This could very well be a libpurple bug, but it might of course be triggered by how it's connected to BitlBee.

This backtrace doesn't have a *single* line of BitlBee code in it though, and in fact not even any libpurple code. It might just be passing wrong info to GLib.

Or the backtrace got corrupted.. Anyway, I'm afraid I can't help here, sorry. I hope a different libpurple version will help. You could check whether this problem occurs with other libpurple-based clients or not.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.